/*
 * 	glacier-update-pkgdb.c - Update the local package database
 *
 * 	This file is part of Glacier.
 *
 * 	Glacier is free software: you can redistribute it and/or modify it under the terms of the
 * 	GNU General Public License as published by the Free Software Foundation, either
 * 	version 3 of the License, or (at your option) any later version.
 *
 * 	Glacier is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * 	without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
 * 	PARTICULAR PURPOSE. See the GNU General Public License for more details.
 *
 * 	You should have received a copy of the GNU General Public License along with Glacier. If
 * 	not, see <https://www.gnu.org/licenses/>.
 */ 

#include <color.h>
#include <errno.h>
#include <libconfig.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>

#include <glacier_config.h>
#include <glacier_log.h>
#include <glacier_pkgops.h>
#include <glacier_runtime.h>

#include "glacier.h"

static void
usage(int argc, char *argv[])
{
	printf(COL_BLUE "[*] " COL_RESET "%s - update the local package database\n", argv[0]);
	printf(COL_BLUE "[?] " COL_RESET "usage: %s [-h] [-v] [-u]\n", argv[0]);
	printf("\n");
	printf("%s {-h}		Show this messsage\n", argv[0]);
	printf("%s {-v}			Show the current version\n", argv[0]);
	printf("%s {-u}		Update the local database\n", argv[0]);
	printf("\n");
	printf("Glacier is free software.\n");
	printf("See the GNU GPL version 3 for details.\n");
}

static void
usage_small(int argc, char *argv[])
{
	printf(COL_RED "[x] " COL_RESET "usage: %s [-h] [-v] [-u]\n", argv[0]);
}

int
main(int argc, char *argv[])
{
	if (argc < 2) {
		printf(COL_RED "[x] " COL_RESET "%s: not enough arguments (expected 1, got %i)\n", argv[0], argc - 1);
		usage_small(argc, argv);
		exit(1);
	}

	int opt;

	while ((opt = getopt(argc, argv, "hvu:")) != -1) {
	switch (opt) {
	case 'h':
		usage(argc, argv);
		return 0;
		break;
	case 'v':
		printf(GLACIER_VERSION "\n");
		return 0;
		break;
	case 'u':
		return 0;
		break;
	}
	}
}
